/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package HumanResMgmt.SkillAcquisition;

import java.util.Date;
import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class SkillRating {
    public void makeSkillRating() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public int compareRatingWith() {
        return 0;
    }

    public boolean hasMatchingSkillDesc() {
        return false;
    }

    public Vector listSkilledOneAtGivenLevel() {
        return new Vector();
    }

    public static Vector listSkillRatings() {
        return new Vector();
    }

    private Date date;
    private int rating;

    /**
     *@supplierCardinality 1
     *@clientCardinality 0..*
     */
    private HumanResMgmt.SkillAcquisition.SkillDesc lnkUnnamed;
    private int status;
}


